#ifdef GLADE_H
typedef enum {
	KF_CHAT_WINDOW,
	KF_CHAT_TAB
} KfChatMode;

typedef struct {
	const gchar *jid;		/* JabberID */
	KfJabberRosterItem *item;	/* Roster item related to above JID */
	gint unread;			/* Number of incoming messages */
	
	GladeXML *glade;		/* Glade interface */
	GtkWidget *content;		/* Content of chat window */

	KfChatMode mode;		/* Whether a chat is inside a window or tab */
	GtkWidget *window;		/* Window */
	GtkWidget *container;		/* Direct parent of a chat */
	GtkWidget *label;		/* Label of a tab - may be NULL */

	GtkTextView *view;		/* TextView of history */
	GtkTextBuffer *buffer;		/* History text buffer */
	GtkTextBuffer *my_buffer;	/* Input text buffer */
	GtkTextTag *my_text;		/* Text tag for your headers */
	GtkTextTag *his_text;		/* Text tag for other headers */
	GtkTextTag *url;		/* Text tag for URLs */
	GtkAdjustment *adj;		/* Chat's adjustment, obsolete */
	GtkImage *status_image;		/* Status image */

	glong	last_activity;		/* Last activity of a chat, for Garbage Collector */
} KfChat;

//KfChat *kf_chat_new (const gchar *jid); 
#endif
void kf_chat_init (void);
void kf_chat_show (KfJabberMessage *msg);
void kf_chat_window (const gchar *jid);
void kf_chat_update_status (const gchar *jid, KfJabberPresenceType type, const gchar *status);
