/*
 * kf - Garbage Collector
 */

#include <glib.h>
#include "foogc.h"

/* Create a new Garbage Collector */
FooGC *foo_gc_new (GDestroyNotify notify) {
	FooGC *foo;

	foo = g_new (FooGC, 1);
	foo->items = NULL;
	foo->notify = notify;

	return foo;
}

/* Add an item to a Garbage Collector */
void foo_gc_add (FooGC *foo, gpointer data) {
	g_return_if_fail (foo);

	foo->items = g_slist_prepend (foo->items, data);
}

/* Destroy Garbage Collector with all associated items */
void foo_gc_free (FooGC *foo) {
	GSList *tmp;
	
	g_return_if_fail (foo);
	for (tmp = foo->items; tmp; tmp = tmp->next) {
		foo->notify (tmp->data);
	}
	g_slist_free (foo->items);
	g_free (foo);
}
